Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156269 - CAN-2005-1228 directory traversal bug
Summary: CAN-2005-1228 directory traversal bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gzip
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050418,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 15:47 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 10:11:28 UTC


Attachments (Terms of Use)
Used patch. (deleted)
2005-04-29 13:47 UTC, Ivana Varekova
no flags Details | Diff

Description Josh Bressers 2005-04-28 15:47:00 UTC
+++ This bug was initially created as a clone of Bug #156266 +++

A directory traversal bug exists in multiple versions of gzip. When
compressing a file, gzip saves its original name but not its path inside
the compressed file. When using gunzip's "-N" option, the original name
found inside the compressed file will be used as the name to save the
decompressed file with. "gunzip -N" doesn't check if the original name inside
the compressed file has any "/" characters in it. This makes it possible to
create a malicious compressed file that when decompressed with "gunzip -N"
will create a file at an arbitrary location in the file system.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=305255

Comment 1 Ivana Varekova 2005-04-29 13:47:44 UTC
Created attachment 113840 [details]
Used patch.

I used Ulf Harnhammar.
I fixed this problem in devel (gzip-1.3.5-5). 
(Gunzip remove any directory prefix if you use -N and in compressed input file
contain name with "/" characters.)

Ivana Varekova


Note You need to log in before you can comment on or make changes to this bug.